2016-10-19 3 views
0

Ich habe seit der Aktualisierung meines Betriebssystems auf Sierra einige Probleme mit bundle install. Die neueste ist mit dem Edelstein Cld verwandt:Bündel-Fehler Installation von CLD, macOS Sierra

Installing cld 0.7.0 with native extensions 
Gem::Ext::BuildError: ERROR: Failed to build gem native extension. 

current directory: 
/private/var/folders/zn/wqrzmg6d4nq55m38xmpfyyn80000gn/T/bundler20161018-17743-2nngwicld-0.7.0/gems/cld-0.7.0/ext/cld 
/Users/seque1990/.rbenv/versions/2.2.2/bin/ruby -r ./siteconf20161018-17743-1l1g1xa.rb 
extconf.rb 
checking for a BSD-compatible install... /usr/bin/install -c 
checking whether build environment is sane... yes 
checking for a thread-safe mkdir -p... build_aux/install-sh -c -d 
checking for gawk... no 
checking for mawk... no 
checking for nawk... no 
checking for awk... awk 
checking whether make sets $(MAKE)... no 
checking build system type... i386-apple-darwin16.0.0 
checking host system type... i386-apple-darwin16.0.0 
checking how to print strings... printf 
checking for style of include used by make... none 
checking for gcc... gcc 
checking for C compiler default output file name... 
configure: error: C compiler cannot create executables 
See `config.log' for more details. 

Makefile not found 

Gem files will remain installed in 
/var/folders/zn/wqrzmg6d4nq55m38xmpfyyn80000gn/T/bundler20161018-17743-2nngwicld-0.7.0/gems/cld-0.7.0 
for inspection. 
Results logged to 
/var/folders/zn/wqrzmg6d4nq55m38xmpfyyn80000gn/T/bundler20161018-17743-2nngwicld-0.7.0/extensions/x86_64-darwin-15/2.2.0-static/cld-0.7.0/gem_make.out 

An error occurred while installing cld (0.7.0), and Bundler cannot continue. 
Make sure that `gem install cld -v '0.7.0'` succeeds before bundling. 

Was ist der beste Ansatz, um dies zu lösen?

Danke.

+0

Das cld-Projekt wurde seit vier Jahren nicht mehr angefasst ... Vielleicht haben Sie Glück, wenn Sie Ihre Ruby-Version zurückrollen, aber wenn ich in Ihren Schuhen wäre, würde ich nach Alternativen zu cld suchen. In der Zwischenzeit können Sie versuchen, sicherzustellen, dass Ihre Homebrew- und xcode-Tools auf dem neuesten Stand sind. – MarsAtomic

Antwort

0

Wie @MarsAtomico vorgeschlagen habe ich xcode und homebrew aktualisieren und war in der Lage, den Edelstein zu installieren.